LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-06-2013, 11:47 PM   #1
rpmacaspac
Member
 
Registered: Jul 2013
Distribution: centos 6
Posts: 48

Rep: Reputation: Disabled
yum update error


almost every other iam updating my system using yum update

and these always occur

Error: Package: python-beaker-1.5.4-1.el5.noarch (epel)
Requires: python(abi) = 2.4
Installed: python-2.6.6-37.el6_4.x86_64 (@updates)
python(abi) = 2.6
Available: python-2.6.6-36.el6.i686 (base)
python(abi) = 2.6
Available: python26-2.6.8-2.el5.x86_64 (epel)
python(abi) = 2.6

Error: Package: python-paramiko-1.7.6-1.el5.noarch (epel)
Requires: python(abi) = 2.4
Installed: python-2.6.6-37.el6_4.x86_64 (@updates)
python(abi) = 2.6
Available: python-2.6.6-36.el6.i686 (base)
python(abi) = 2.6
Available: python26-2.6.8-2.el5.x86_64 (epel)
python(abi) = 2.6

Error: Package: vlc-2.0.5-8.el6.x86_64 (@linuxtech-release)
Requires: libmodplug.so.1()(64bit)
Removing: libmodplug-0.8.8.4-1.el6.x86_64 (@linuxtech-release)
libmodplug.so.1()(64bit)
Updated By: 1:libmodplug-0.8.7-3.el5.x86_64 (epel)
Not found

Error: Package: gstreamer-plugins-bad-0.10.19-9.el6.x86_64 (@linuxtech-release)
Requires: libmodplug.so.1()(64bit)
Removing: libmodplug-0.8.8.4-1.el6.x86_64 (@linuxtech-release)
libmodplug.so.1()(64bit)
Updated By: 1:libmodplug-0.8.7-3.el5.x86_64 (epel)


not sure what does these means
 
Old 09-07-2013, 01:02 AM   #2
jdkaye
LQ Guru
 
Registered: Dec 2008
Location: Westgate-on-Sea, Kent, UK
Distribution: Debian Testing Amd64
Posts: 5,464

Rep: Reputation: Disabled
Can you tell us what distro you're using. Also do you mean "almost every other DAY I..." It looks like your version of python is out of synch with your other packages.
jdk
 
Old 09-07-2013, 01:37 AM   #3
rpmacaspac
Member
 
Registered: Jul 2013
Distribution: centos 6
Posts: 48

Original Poster
Rep: Reputation: Disabled
yeah almost every other day.

CentOS release 6(final) - 2.6.32-358.18.1.el6.x86_64
 
Old 09-07-2013, 02:40 AM   #4
jdkaye
LQ Guru
 
Registered: Dec 2008
Location: Westgate-on-Sea, Kent, UK
Distribution: Debian Testing Amd64
Posts: 5,464

Rep: Reputation: Disabled
I'm not familiar with how yum works but I guess you are missing some dependencies which have caused some packages to be broken. Are you familiar with the yum routine for fixing broken packages? I use a deb-type system so I can't really help you on this. Also your kernel seems a bit old. Is this normal for CentOS or is there a more recent kernel available?
jdk
 
Old 09-07-2013, 12:32 PM   #5
DavidMcCann
Senior Member
 
Registered: Jul 2006
Location: London
Distribution: CentOS, Salix
Posts: 4,165

Rep: Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223
You're using several different repositories: did you set their priorities?
http://wiki.centos.org/AdditionalRes...epositories%29
http://wiki.centos.org/PackageManagement/Yum/Priorities

If you didn't, you may have got incompatible libraries.
 
Old 09-08-2013, 03:10 AM   #6
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,822

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
it looks like you have a centos 5 repo installed on CentOS 6.0
the centos 6.4 file says
Code:
cat /etc/centos-release
CentOS release 6.4 (Final)

please post the output of this
Code:
su -
yum repolist all

this is from having a 5 repo installed
---
Error: Package: python-beaker-1.5.4-1.el5.noarch (epel)
Error: Package: python-paramiko-1.7.6-1.el5.noarch (epel)

----
that is from the epel repo FOR CEBTOS5 and not for 6

and
---
Error: Package: vlc-2.0.5-8.el6.x86_64 (@linuxtech-release)
----
garbed something from the centos5 repo
"Updated By: 1:libmodplug-0.8.7-3.el5.x86_64 (epel)"
 
Old 09-08-2013, 08:23 AM   #7
rpmacaspac
Member
 
Registered: Jul 2013
Distribution: centos 6
Posts: 48

Original Poster
Rep: Reputation: Disabled
Code:
im not aware that this is all my repolist

repo id                repo name                                  status
C6.0-base              CentOS-6.0 - Base                          disabled
C6.0-centosplus        CentOS-6.0 - CentOSPlus                    disabled
C6.0-contrib           CentOS-6.0 - Contrib                       disabled
C6.0-extras            CentOS-6.0 - Extras                        disabled
C6.0-updates           CentOS-6.0 - Updates                       disabled
C6.1-base              CentOS-6.1 - Base                          disabled
C6.1-centosplus        CentOS-6.1 - CentOSPlus                    disabled
C6.1-contrib           CentOS-6.1 - Contrib                       disabled
C6.1-extras            CentOS-6.1 - Extras                        disabled
C6.1-updates           CentOS-6.1 - Updates                       disabled
C6.2-base              CentOS-6.2 - Base                          disabled
C6.2-centosplus        CentOS-6.2 - CentOSPlus                    disabled
C6.2-contrib           CentOS-6.2 - Contrib                       disabled
C6.2-extras            CentOS-6.2 - Extras                        disabled
C6.2-updates           CentOS-6.2 - Updates                       disabled
C6.3-base              CentOS-6.3 - Base                          disabled
C6.3-centosplus        CentOS-6.3 - CentOSPlus                    disabled
C6.3-contrib           CentOS-6.3 - Contrib                       disabled
C6.3-extras            CentOS-6.3 - Extras                        disabled
C6.3-updates           CentOS-6.3 - Updates                       disabled
adobe-linux-x86_64     Adobe Systems Incorporated                 enabled:     2
base                   CentOS-6 - Base                            enabled: 6,381
c6-media               CentOS-6 - Media                           disabled
centosplus             CentOS-6 - Plus                            disabled
contrib                CentOS-6 - Contrib                         disabled
debug                  CentOS-6 - Debuginfo                       disabled
epel                   Extra Packages for Enterprise Linux 6 - x8 enabled: 9,565
epel-debuginfo         Extra Packages for Enterprise Linux 6 - x8 disabled
epel-source            Extra Packages for Enterprise Linux 6 - x8 disabled
epel-testing           Extra Packages for Enterprise Linux 6 - Te disabled
epel-testing-debuginfo Extra Packages for Enterprise Linux 6 - Te disabled
epel-testing-source    Extra Packages for Enterprise Linux 6 - Te disabled
extras                 CentOS-6 - Extras                          enabled:    13
linuxtech-backports    LinuxTECH.NET el6 backports repo           disabled
linuxtech-release      LinuxTECH.NET el6 production repo          enabled: 1,144
linuxtech-testing      LinuxTECH.NET el6 testing repo             disabled
remi                   Les RPM de remi pour Enterprise Linux 6 -  enabled: 1,088
remi-debuginfo         Les RPM de remi pour Enterprise Linux 6 -  disabled
remi-test              Les RPM de remi en test pour Enterprise Li disabled
remi-test-debuginfo    Les RPM de remi en test pour Enterprise Li disabled
rpmforge               RHEL 6 - RPMforge.net - dag                disabled
rpmforge-extras        RHEL 6 - RPMforge.net - extras             disabled
rpmforge-testing       RHEL 6 - RPMforge.net - testing            disabled
updates                CentOS-6 - Updates                         enabled: 1,179
repolist: 19,372

Last edited by rpmacaspac; 09-08-2013 at 08:25 AM.
 
Old 09-08-2013, 04:35 PM   #8
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,822

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
these should not even still be in there .The normal upgrade REMOVES THESE ,by default as part of the upgrade
Quote:
C6.0-base CentOS-6.0 - Base disabled
C6.0-centosplus CentOS-6.0 - CentOSPlus disabled
C6.0-contrib CentOS-6.0 - Contrib disabled
C6.0-extras CentOS-6.0 - Extras disabled
C6.0-updates CentOS-6.0 - Updates disabled
C6.1-base CentOS-6.1 - Base disabled
C6.1-centosplus CentOS-6.1 - CentOSPlus disabled
C6.1-contrib CentOS-6.1 - Contrib disabled
C6.1-extras CentOS-6.1 - Extras disabled
C6.1-updates CentOS-6.1 - Updates disabled
C6.2-base CentOS-6.2 - Base disabled
C6.2-centosplus CentOS-6.2 - CentOSPlus disabled
C6.2-contrib CentOS-6.2 - Contrib disabled
C6.2-extras CentOS-6.2 - Extras disabled
C6.2-updates CentOS-6.2 - Updates disabled
C6.3-base CentOS-6.3 - Base disabled
C6.3-centosplus CentOS-6.3 - CentOSPlus disabled
C6.3-contrib CentOS-6.3 - Contrib disabled
C6.3-extras CentOS-6.3 - Extras disabled
C6.3-updates CentOS-6.3 - Updates disabled

epel and remi are KNOWN to be incompatible with not just each other but remi is incompatible win Cent updates and cant base

"linuxtech-release " not familiar with that one
but some googling it looks to be a third party repo for VLC prebuilt rpms
and VERY likely incompatible with epel and remi

please READ the CentOS wiki posting on this repo
http://wiki.centos.org/AdditionalResources/Repositories
--- to quote --
Quote:


LinuxTECH.NET Repositories - (see http://pkgrepo.linuxtech.net/el6/ ) The LinuxTECH.NET repos are a set of small but growing personal repos for EL6 compatible distros, created for personal use, but also accessible publicly on an "AS IS" basis. The main focus of these repos is Audio / Video related packages with an emphasis on wide support of codecs and as many optional features enabled as possible in all packages. Apart from Audio / Video related packages you will also find a few other unusual server and desktop related packages that no other EL compatible repo has.

release
Contains what the maintainer considers production quality packages.
testing
Contains packages that haven't been thoroughly tested or that still contain known unresolved issues.
backports

Contains packages that replace core EL6 packages with newer upstream releases. These packages usually have new desirable features or support for newer hardware. WARNING: Only enable the "backports" repo if you don't mind core EL6 packages being replaced by these updated packages!

A repo config is available at: http://pkgrepo.linuxtech.net/el6/release/linuxtech.repo All packages are signed with the GPG key available at: http://pkgrepo.linuxtech.net/el6/rel...-LinuxTECH.NET
this is a prime candidate for using the " PROTECT-BASE " yum plugin


if i was to make a gambling bet on this install
it is FUBAR'ed

unfixable

please READ the " An example of what NOT to do " WARNING on the cent wiki page
http://wiki.centos.org/AdditionalResources/Repositories

and pay very close attention to the Priorities you set in the "yum-priorities" plugin
http://wiki.centos.org/PackageManagement/Yum/Priorities
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Yum error after yum update and reboot jonaskellens Linux - Newbie 17 07-16-2013 11:05 AM
after yum update, can't yum update yet, some error occured novelbean Linux - Newbie 5 04-03-2013 09:13 PM
yum update error smwai Linux - Newbie 1 02-17-2011 03:17 AM
Yum Update error mzizana Linux - Software 2 02-13-2008 07:08 AM
Yum on FC6. 'yum update' error. mufy Fedora 8 06-14-2007 03:03 AM


All times are GMT -5. The time now is 09:25 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration